/*
 * Class EV_PIXEL_BUFFER_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1147 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1147 [] = {0xFF01,1551,1146,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1147 [] = {0xFF01,1146,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1147 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1147 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1147 [] = {0xFF01,1146,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1147 [] = {0xFF01,1146,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1147 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1147 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1147 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1147 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1147 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1147 [] = {0xFF01,1146,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1147 [] = {0xFF01,0xFF01,969,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1147 [] = {0xFF01,969,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1147 [] = {0xFF01,1053,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1147 [] = {0xFF01,969,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1147 [] = {0xFF01,542,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1147 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1147 [] = {0xFF01,997,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1147 [] = {0xFF01,138,0xFFFF};


static const struct desc_info desc_1147[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1147), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1147), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1147), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1147), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1147), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1147), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1147), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1147), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1147), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1147), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1147), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1147), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08F5 /*1146*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1147), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26849, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1147), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0793 /*969*/), 26817, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 21},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26845, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x053B /*669*/), 26857, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1147), 26827, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1147), 26858, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1147), 26826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 26830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26821, 20},
	{EIF_GENERIC(egt_17_1147), 26822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26834, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1147), 26823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x043D /*542*/), 26818, 4},
	{EIF_GENERIC(NULL), 26843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26850, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26851, 28},
	{EIF_GENERIC(NULL), 26854, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26855, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26825, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1147), 26835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x083B /*1053*/), 26837, 8},
	{EIF_NON_GENERIC(0x05D1 /*744*/), 26838, 12},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 26839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26840, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1147), 26841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0109 /*132*/), 26842, 16},
	{EIF_GENERIC(NULL), 26844, 0xFFFFFFFF},
};
void Init1147(void)
{
	IDSC(desc_1147, 0, 1146);
	IDSC(desc_1147 + 1, 1, 1146);
	IDSC(desc_1147 + 32, 1513, 1146);
	IDSC(desc_1147 + 59, 136, 1146);
	IDSC(desc_1147 + 81, 1216, 1146);
}


#ifdef __cplusplus
}
#endif
